import {Component, OnInit} from '@angular/core';
import {CookieService} from 'ngx-cookie-service';
import {HeaderComponent} from '../header/header.component';
import {Router} from '@angular/router';

@Component({
  selector: 'app-logout',
  standalone: true,
  imports: [
    HeaderComponent
  ],
  templateUrl: './logout.component.html',
  styleUrl: './logout.component.css'
})
export class LogoutComponent implements OnInit{

  constructor(private cookiesService: CookieService,
              private router: Router) { }
  ngOnInit(): void {
    this.cookiesService.deleteAll();
    this.router.navigate(['/']);
  }

}
