import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {Observable} from 'rxjs';
import {Author} from '../model/author';

@Injectable({
  providedIn: 'root'
})
export class AuthorService {

  constructor(private httpClient: HttpClient) {}

  list(): Observable<Author[]> {
    return this.httpClient.get<Author[]>("http://localhost:8080/api/authors");
  }

  login(name: string, password: string) {
    return this.httpClient.post<any>("http://localhost:8080/api/authors/login", {name: name, password: password})
  }

  me(token: string): Observable<Author> {
    const headers = new HttpHeaders().set("Authorization", "Bearer " + token);
    console.log(headers)
    return this.httpClient.get<Author>("http://localhost:8080/api/authors/me", {'headers': headers});
  }
}
